## AgsOscRenewController

AgsOscRenewController — OSC renew controller

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_osc_renew_controller_set_data ()
AgsOscRenewController * | ags_osc_renew_controller_new ()

## Signals

gpointer | set-data | Run Last

## Types and Values

#define | AGS_OSC_RENEW_CONTROLLER_CONTEXT_PATH_LENGTH

## Object Hierarchy

        GObject
        ╰── AgsOscController
            ╰── AgsOscRenewController

## Includes

    #include <ags/audio/osc/controller/ags_osc_renew_controller.h>

## Description

The AgsOscRenewController implements the OSC renew controller.

## Functions

### ags_osc_renew_controller_set_data ()

    gpointer
    ags_osc_renew_controller_set_data (AgsOscRenewController *osc_renew_controller,
                                       AgsOscConnection *osc_connection,
                                       guchar *message,
                                       guint message_size);

Renew data.

#### Parameters

osc_renew_controller | the AgsOscRenewController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |

#### Returns

the GList containing AgsOscResponse

Since: 3.0.0

### ags_osc_renew_controller_new ()

    AgsOscRenewController *
    ags_osc_renew_controller_new ();

Instantiate new AgsOscRenewController

#### Returns

the AgsOscRenewController

Since: 3.0.0

## Types and Values

### AGS_OSC_RENEW_CONTROLLER_CONTEXT_PATH_LENGTH

    #define AGS_OSC_RENEW_CONTROLLER_CONTEXT_PATH_LENGTH (8)

## Signal Details

### The `“set-data”` signal

    gpointer
    user_function (AgsOscRenewController *osc_renew_controller,
                   GObject               *osc_connection,
                   gpointer               message,
                   guint                  message_size,
                   gpointer               user_data)

The ::set-data signal is emited during get data of renew controller.

#### Parameters

osc_renew_controller | the AgsOscRenewController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |
user_data | user data set when the signal handler was connected. |

#### Returns

the AgsOscResponse

Flags: Run Last

Since: 3.0.0